<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
  <meta http-equiv="content-type" content="text/html; charset=utf-8" />
  <meta name="Description" content="GMtoolbox : a Matlab toolbox for inference in Graphical Models" />
  <meta name="Keywords" content="Graphical Model, Inference, toolbox, Matlab" />
  <link rel="stylesheet" type="text/css" href="style.css" />
  <title>GMtoolbox : a Matlab toolbox for inference in Graphical Models</title>
  <!--[if IE]><script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script><![endif]-->
</head>


<body>

<header>
<table class="header">
  <tr>
    <td><h2><span>GM</span>toolbox</h2> </td>
    <td>
      <nav class="navigation"><ul>
        <li><a href="index.html">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;HOME&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</a></li>
        <li><a href="download.html">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;DOWNLOAD&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</a></li>
        <li><a href="documentation.html">&nbsp;&nbsp;DOCUMENTATION&nbsp;&nbsp;</a></li>
      </ul></nav>
  </tr>
</table>

<h1>GMtoolbox : a Matlab toolbox for inference in Graphical Models</h1>
</header>


<aside>
<h4>NEWS: version 1.0.1 (August, 2019), version 1.0 (April, 2019), beta version 0.9 (April 2018)</h4>
</aside>


<section>
<h3>Requirement</h3>
<p>For some functions (gm_plot_fg, gm_plot_rg, gm_separate_fg and util/setCountingNumbers)
  a version of Matlab higher than R2015b is required (because they use the graph and digraph classes).
</p>
</section>

<section>
<h3>Download <b>GM</b>toolbox</h3>
<p>From the <a href="https://sourcesup.renater.fr/frs/?group_id=3868">Project Forge Files page</a>
<b>download the file gmtoolbox.zip</b>.<br/>
Unzip the file and go to the created directory.<br/>
On Linux system execute the following system commands: <br/>
&nbsp;&nbsp;&nbsp;&nbsp;<b>unzip gmtoolbox.zip</b><br/>
&nbsp;&nbsp;&nbsp;&nbsp;<b>cd gmtoolbox</b><br/>
<br/>
Try the toy Bayesian Network example Sprinkler.<br/>
&nbsp;&nbsp;&nbsp;&nbsp;<b>matlab</b><br/>
&nbsp;&nbsp;&nbsp;&nbsp;<b>>>addpath( genpath('pwd') )</b><br/>
&nbsp;&nbsp;&nbsp;&nbsp;<b>>>fg = gm_example_Sprinkler();</b><br/>
&nbsp;&nbsp;&nbsp;&nbsp;<b>>>gm_plot_fg( fg )</b>
</p>
<p class="image">
<img src="IMAGES/fgSprinkler.png" height="250" alt="Sprinkler graph" >
</p>
</section>

<section>
<h3 id="FAQ">FAQ</h3>
<div>
  For any question, first consult this FAQ. If there is no appropriate answer
  or to suggest a feature, add a request on the
  <a href="https://sourcesup.renater.fr/tracker/?atid=6401&group_id=3868&func=browse">
  Bugs and Feature request of the project</a>
</div>
<div>
  <h5><hr>Error because of functions not found: setBG, setCountingNumber.</h5>
  The directory gmtoolbox/util must be on Matlab search path. See the addpath command above.
</div>
<div>
  <h5><hr>I have un error message using gm_example_DBN.</h5>
  Be sure to have define NS as global and with a value ! For example: global NS; NS=2;
</div>
<div>
  <h5><hr>gm_plot_fg function opens an empty figure window.</h5>
  Be sure to have a Matlab version higher than R2015b.
</div>
<div>
  <h5><hr>Error in a toolbox function.</h5>
  When you define a factor graph, do not forget to check its validity
  with the gm_check_fg function. This function does NOT detect all
  problems but may be useful. Same with gm_check_rg for region graphs.
</section>

  
<footer>
  <p  id="footer"><br/><br/>Last modification : August, 2019</p>
</footer>

</body>
</html>
